Subject: Re: [Patch net-next v3 1/3] igmp: fix return value of some functions

From: Cong Wang <[email-masked]>
Date: Mon, 10 Jun 2013 11:07:33 +0800

On Sat, 2013-06-08 at 20:12 -0600, David Stevens wrote:
> >From: Cong Wang <[email-masked]>
> 
> >   Good point! I will convert the such return value to
> >documented ones, for example, EINVAL.  Thanks!
> 
> You're also taking things that were not treated as errors
> before, and now returning an error. For example, removing
> a source not in the list.
> 
> Unless POSIX requires these to be treated as errors, and
> that should be quoted, I think the 8 or 9 years of returning
> "0" for these cases means we must continue to. Existing
> programs that have always done this with a zero return
> will start getting errors where they didn't before.
> 
> Also, though it's been a long time, I believe the original code
> did return errors in those cases (which is why the code is there)
> and was changed to return 0, presumably for POSIX compliance.

Are you suggesting to just make ip_mc_leave_src() void?

Thanks.